<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns="http://www.w3.org/TR/REC-html40">

<!--
Licensed Materials - Property of IBM
Plugin: com.ibm.datatools.xquery.ui

(C) Copyright IBM Corporation 2005. All Rights Reserved.
  Note to U.S. Government Users Restricted Rights:
  Use, duplication or disclosure restricted 
  by GSA ADP Schedule Contract with IBM Corp.
*************************************************** 
 
 This XSLT script does the final formatting of the result from generateXquery.xsl.
 It substitutes the formatting tags (line, block) for actual new line character
 and further whitespaces.
 
 The result of the transformation is the final XQuery without any XML tags.
 Hence it's a string / sequence of bytes and no valid XML anymore.
 -->

<xsl:output method="text"  encoding="utf-16" omit-xml-declaration="yes" indent = "no" />


<xsl:template  match="/body" >
	<xsl:call-template name = "dochildren">
		<xsl:with-param name = "tab"></xsl:with-param>
 	</xsl:call-template>
</xsl:template>


<xsl:template  name="dochildren" >
	<xsl:param name="tab"/>
	<xsl:for-each select="node()" >
		<xsl:choose>
			<xsl:when test="local-name()='line'">
				<xsl:text>&#xa;</xsl:text>
				<xsl:call-template name = "dochildren" /> 
			</xsl:when>
			<xsl:when test="local-name()='block'">
				<xsl:call-template name = "dochildren">
					<xsl:with-param name = "tab">
						<xsl:value-of select="$tab"/><xsl:text>     </xsl:text> <!--&#x09;-->
					</xsl:with-param>
				</xsl:call-template>
				<!-- <xsl:text>&#xa;</xsl:text> -->
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$tab"/>
				<xsl:value-of select="normalize-space(.)"/>
			</xsl:otherwise>
		</xsl:choose >
	</xsl:for-each>
</xsl:template>


</xsl:stylesheet>
